package w83a.w83aOperacionesPaso.w83aActas;

import java.util.HashMap;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.apache.struts.action.ActionErrors;
import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;

import w83a.w83aUtilidadesComunes.W83aClsConstantes;
import es.ejie.frmk.presentacion.operacion.paso.Q70ActionPasoOP;
import es.ejie.frmk.presentacion.sesiondatos.Q70ContextoEJIE;

public class W83aAntesActasImpugnacionesInicioEdicionActas extends Q70ActionPasoOP{

	
	protected void processOP(Q70ContextoEJIE contexto, ActionErrors errores, ActionMapping mapping,
			ActionForm form, HttpServletRequest request, HttpServletResponse response) throws Exception {
		
	}

	protected ActionForward processForward(Q70ContextoEJIE contexto, ActionErrors errors, ActionMapping mapping, 
			ActionForm form, HttpServletRequest request, HttpServletResponse response) throws Exception {

	
		contexto.set("codSelecEdicion",contexto.get("codSelec"));
		
		HashMap mapa=new HashMap();
		mapa.put("codSelec",contexto.get("codSelecEdicion"));
		mapa.put("pestania", "0");
		
		
		//contexto.set("w83aMapaFileActas", new HashMap());
		//contexto.set("w83aListaBorradoFileActas", new ArrayList());
		//contexto.set("w83aListaBorradoFileActasCompleto", new ArrayList());
		mapa.put("strIdioma", contexto.get(W83aClsConstantes.CONSTANTE_CONTEXTO_IDIOMA));
		contexto.set("w83aMapaActas",mapa );
		
		
		return mapping.findForward("ok");
	}

}
